cascading.flow.planner

## Interface DeclaresResults

All Known Subinterfaces:
  Aggregator<Context>, Assertion<PC>, Buffer<Context>, Filter<Context>, Function<Context>, GroupAssertion<C>, Operation<Context>, PlannedOperation<Context>, ValueAssertion<C>

All Known Implementing Classes:
  AggregateBy.CompositeFunction, And, AssertEquals, AssertEqualsAll, AssertExpression, AssertGroupBase, AssertGroupSizeEquals, AssertGroupSizeLessThan, AssertGroupSizeMoreThan, AssertMatches, AssertMatchesAll, AssertNotEquals, AssertNotNull, AssertNull, AssertSizeEquals, AssertSizeLessThan, AssertSizeMoreThan, Average, AverageBy.AverageFinal, BaseAssertion, BaseJoiner, BaseOperation, BufferJoin, Count, Counter, DateFormatter, DateOperation, DateParser, Debug, ExpressionFilter, ExpressionFunction, ExpressionOperation, ExtentBase, ExtremaValueBase, FieldFormatter, FieldJoiner, FilterNotNull, FilterNull, First, FirstNBuffer, Identity, InnerJoin, Insert, Last, LeftJoin, Limit, Logic, MaxValue, MinValue, MixedJoin, NoOp, Not, Or, OuterJoin, RegexFilter, RegexGenerator, RegexMatcher, RegexOperation, RegexParser, RegexReplace, RegexSplitGenerator, RegexSplitter, RightJoin, Sample, ScriptFilter, ScriptFunction, ScriptOperation, ScriptTupleFunction, SetValue, Status, Sum, TagSoupParser, UnGroup, Unique.FilterPartialDuplicates, Xor, XPathFilter, XPathGenerator, XPathOperation, XPathParser

    public interface DeclaresResults

### Method Summary

Methods
`Fields` `getFieldDeclaration()`

### Method Detail

#### getFieldDeclaration

    Fields getFieldDeclaration()